Lucene 2.1 and Luke

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

Lucene 2.1 and Luke

Erick Erickson
Is there a Lucene 2.1 compatible version of Luke hanging around that I've
overlooked or do I need to compile it myself?

The change notes for Lucene 2.1 indicate index format changes, and, sure
enough, when I tried to open a new index with my current version of Luke, it
doesn't work (something about "not a lucene index" <G>)...

Erick
Reply | Threaded
Open this post in threaded view
|

Re: Lucene 2.1 and Luke

Andrzej Białecki-2
Erick Erickson wrote:
> Is there a Lucene 2.1 compatible version of Luke hanging around that I've
> overlooked or do I need to compile it myself?
>
> The change notes for Lucene 2.1 indicate index format changes, and, sure
> enough, when I tried to open a new index with my current version of
> Luke, it
> doesn't work (something about "not a lucene index" <G>)...

... any moment now ... I'm awfully busy at my day job now, but basically
I have the package ready, only need to update the website.

--
Best regards,
Andrzej Bialecki     <><
 ___. ___ ___ ___ _ _   __________________________________
[__ || __|__/|__||\/|  Information Retrieval, Semantic Web
___|||__||  \|  ||  |  Embedded Unix, System Integration
http://www.sigram.com  Contact: info at sigram dot com



---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Lucene 2.1 and Luke

Arthur Smith
In reply to this post by Erick Erickson
Luke works with Lucene 2.1, but you have to use the new lucene jar
explicitly -

http://www.getopt.org/luke/
|java -classpath luke.jar;lucene.jar org.getopt.luke.Luke

|somebody will probably put together a 2.1 package soon.

       Arthur

Erick Erickson wrote:

> Is there a Lucene 2.1 compatible version of Luke hanging around that I've
> overlooked or do I need to compile it myself?
>
> The change notes for Lucene 2.1 indicate index format changes, and, sure
> enough, when I tried to open a new index with my current version of
> Luke, it
> doesn't work (something about "not a lucene index" <G>)...
>
> Erick
>


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

RE: Lucene 2.1 and Luke

Koji Sekiguchi
In reply to this post by Andrzej Białecki-2
I thought this is a solution...
http://issues.apache.org/jira/browse/SOLR-88

Koji

> -----Original Message-----
> From: Andrzej Bialecki [mailto:[hidden email]]
> Sent: Tuesday, February 20, 2007 11:13 PM
> To: [hidden email]
> Subject: Re: Lucene 2.1 and Luke
>
>
> Erick Erickson wrote:
> > Is there a Lucene 2.1 compatible version of Luke hanging around
> that I've
> > overlooked or do I need to compile it myself?
> >
> > The change notes for Lucene 2.1 indicate index format changes, and, sure
> > enough, when I tried to open a new index with my current version of
> > Luke, it
> > doesn't work (something about "not a lucene index" <G>)...
>
> ... any moment now ... I'm awfully busy at my day job now, but basically
> I have the package ready, only need to update the website.
>
> --
> Best regards,
> Andrzej Bialecki     <><
>  ___. ___ ___ ___ _ _   __________________________________
> [__ || __|__/|__||\/|  Information Retrieval, Semantic Web
> ___|||__||  \|  ||  |  Embedded Unix, System Integration
> http://www.sigram.com  Contact: info at sigram dot com
>
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>
>


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Lucene 2.1 and Luke

Mark Miller-3
In reply to this post by Arthur Smith
This method gets you a ways, but some stuff still does not seem to work.
Document reconstruction for one, at least for me.

Arthur Smith wrote:

> Luke works with Lucene 2.1, but you have to use the new lucene jar
> explicitly -
>
> http://www.getopt.org/luke/
> |java -classpath luke.jar;lucene.jar org.getopt.luke.Luke
>
> |somebody will probably put together a 2.1 package soon.
>
>       Arthur
>
> Erick Erickson wrote:
>> Is there a Lucene 2.1 compatible version of Luke hanging around that
>> I've
>> overlooked or do I need to compile it myself?
>>
>> The change notes for Lucene 2.1 indicate index format changes, and, sure
>> enough, when I tried to open a new index with my current version of
>> Luke, it
>> doesn't work (something about "not a lucene index" <G>)...
>>
>> Erick
>>
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>
>

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Lucene 2.1 and Luke

Erick Erickson
In reply to this post by Koji Sekiguchi
Thanks all, this gets me "far enough" for a while.

And Andrezj, I can't thank you enough for writing and maintaining this tool,
it's saved me endless grief over the past year!

Best
Erick

On 2/20/07, Koji Sekiguchi <[hidden email]> wrote:

>
> I thought this is a solution...
> http://issues.apache.org/jira/browse/SOLR-88
>
> Koji
>
> > -----Original Message-----
> > From: Andrzej Bialecki [mailto:[hidden email]]
> > Sent: Tuesday, February 20, 2007 11:13 PM
> > To: [hidden email]
> > Subject: Re: Lucene 2.1 and Luke
> >
> >
> > Erick Erickson wrote:
> > > Is there a Lucene 2.1 compatible version of Luke hanging around
> > that I've
> > > overlooked or do I need to compile it myself?
> > >
> > > The change notes for Lucene 2.1 indicate index format changes, and,
> sure
> > > enough, when I tried to open a new index with my current version of
> > > Luke, it
> > > doesn't work (something about "not a lucene index" <G>)...
> >
> > ... any moment now ... I'm awfully busy at my day job now, but basically
> > I have the package ready, only need to update the website.
> >
> > --
> > Best regards,
> > Andrzej Bialecki     <><
> >  ___. ___ ___ ___ _ _   __________________________________
> > [__ || __|__/|__||\/|  Information Retrieval, Semantic Web
> > ___|||__||  \|  ||  |  Embedded Unix, System Integration
> > http://www.sigram.com  Contact: info at sigram dot com
> >
> >
> >
> > ---------------------------------------------------------------------
> > To unsubscribe, e-mail: [hidden email]
> > For additional commands, e-mail: [hidden email]
> >
> >
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>
>